regina::IntOfMinSize< bytes > Struct Template Reference

Gives access to native integer types that hold at least k bytes, where k may be any compile-time constant. More...

`#include <utilities/intutils.h>`

## Public Types

typedef IntOfSize< nextPowerOfTwo(bytes)>::type | type
| A native signed integer type with at least k bytes, where k is the template parameter. More...
typedef IntOfSize< nextPowerOfTwo(bytes)>::utype | utype
| A native unsigned integer type with at least k bytes, where k is the template parameter. More...

## Detailed Description

### template<int bytes>
struct regina::IntOfMinSize< bytes >

Gives access to native integer types that hold at least k bytes, where k may be any compile-time constant.

Template Parameters

  bytes | the minimum number of bytes in the native integer types (i.e., the integer k described above).

Python:
  Not present.

See also
  IntOfSize

## Member Typedef Documentation

## type

template<int bytes>

typedef IntOfSize<nextPowerOfTwo(bytes)>::type regina::IntOfMinSize< bytes >::type

A native signed integer type with at least k bytes, where k is the template parameter.

The default is `void`, which indicates that Regina does not know how to access an integer type of the requested size.

## utype

template<int bytes>

typedef IntOfSize<nextPowerOfTwo(bytes)>::utype regina::IntOfMinSize< bytes >::utype

A native unsigned integer type with at least k bytes, where k is the template parameter.

The default is `void`, which indicates that Regina does not know how to access an integer type of the requested size.

The documentation for this struct was generated from the following file:

- utilities/intutils.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).